Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Submit TP/SL Order (SIGNED)

Applicable for placing contract TP/SL orders

Request URL

POST https://cloud-api.wooxpro.com/contract/private/submit-tp-sl-order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "side":2,
  "type":"take_profit",
  "size":10,
  "trigger_price":"2000",
  "executive_price":"1450",
  "price_type":1,
  "plan_category":1,
  "client_order_id":"123456789",
  "category":"limit"
}'
https://cloud-api.wooxpro.com/contract/private/submit-plan-order
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)
typeStringYesOrder type
-take_profit
-stop_loss
sideIntYesOrder side
hedge mode
-2=buy_close_short
-3=sell_close_long
oneway mode
-2=buy(reduce only)
-3=sell(reduce only)
sizeIntNoOrder size (Number of contracts) Default the size of position
trigger_priceStringYesTrigger price
executive_priceStringYesExecution price
price_typeIntYesTrigger price type
-1=last_price
-2=fair_price
plan_categoryIntNoTP/SL type
-1=TP/SL
-2=Position TP/SL(default)
client_order_idStringNoClient-defined OrderId(A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters)
categoryStringNoTrigger order type, position TP/SL default market
-limit
-market

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": "220609666322019",
    "client_order_id": "123456789"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
order_idStringOrder ID
client_order_idStringClient Order ID